Subject: [bug#75147] [PATCH maintenance] hydra: services: guix-packages-website: Update to 0.3.0-0.e669a5e963.

From: Luis Felipe <[email-masked]>
Date: Sat, 18 Jan 2025 13:24:54 +0000

On 18/01/25 7:18, Christopher Baines wrote:
> Luis Felipe <[email-masked]> writes:
>
>>> Thnaks,
>> No, no, thank you, Chris.
>>
>> By the way, I see that the search box in the navigation bar is not
>> displaying as expected. I see that nginx is serving obsolete static
>> files (CSS for example), no matter if you ask the browser to request
>> new resources (using Crtl+F5 or the "Disable cache" option).
> I think the situation has resolved itself now.
Yeah, I noticed :)
> Maybe this can be avoided in the future by tweaking the NGinx
> configuration or deleting the NGinx cache when updating. I think the
> most reliable approach I've seen to address this is use content specific
> URLs for CSS from within the HTML (e.g. include the hash of the file
> you're linking to), I'm not sure Artanis has a feature for this yet
> though.

I recently added a Content Security Policy (CSP) to the application, and 
would like to upgrade it to a Strict CSP, which I think requires using 
hashes or nonces too, so I need to ask Artanis about them.

Thanks,